> For the complete documentation index, see [llms.txt](https://docs.logilica.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.logilica.com/advanced/import/build-data.md).

# Uploading CI Build Data

## Upload Example Using cURL

In the following, we provide an example of how to push your build-run information to Logilica for storage and built-in analytics.

{% hint style="info" %}
**Important**: Ensure the repository you build from is already **onboarded** in Logilica.

The [Repositories API](/advanced/import/repositories.md) can be used to retrieve the `repoId` for the endpoint.
{% endhint %}

The cURL POST command is below. Note, that the POST command includes the example API token `lgca_UeRxFs_3RYRJEJtdYp7j7Wa6DirG5NjiYslsb` and the example workspace `myworkspace`. The command URL also includes a placeholder for the repoID to associate the uploaded issues with.

```curl
curl --location --request POST 'https://logilica.io/api/import/v1/ci_build/<repoID>/create' \
--header 'X-lgca-token: lgca_UeRxFs_3RYRJEJtdYp7j7Wa6DirG5NjiYslsb' \
--header 'x-lgca-domain: myworkspace' \
--header 'Content-Type: application/json' \
--data-raw '[{
  "origin": "GITHUB_TEST",
  "originalID": "1691121120",
  "name": "Pull Request CI",
  "url": "https://github.com/logilica/example/actions/runs/1691121120",
  "createdAt": 1689207410,
  "startedAt": 1689208510,
  "completedAt": 1689209716,
  "triggeredBy": {
    "name": "Joe Doe",
    "email": "jdoe@example.com",
    "accountId": "joe-doe",
    "lastActivity": 1679528275
  },
  "status": "completed",
  "conclusion": "success",
  "repoUrl" : "https://github.com/logilica/example",
  "commit": "c3de81aedf8461324021d61f4dca16dd742db215",
  "pullRequestUrls": [],
  "isDeployment": false,
  "stages": [
    {
      "id" : "4799033011",
      "name": "build / Build Logilica Insights",
      "startedAt": 1689208510,
      "completedAt": 1689209716,
      "status": "completed",
      "conclusion": "success",
      "url": "https://github.com/logilica/example/runs/4799033011?check_suite_focus=true",
      "jobs": [
        {
          "startedAt": 1689208510,
          "completedAt": 1689208540,
          "name": "Set up job",
          "status": "completed",
          "conclusion": "success"
        },
        {
          "startedAt": 1689208545,
          "completedAt": 1689209716,
          "name": "Run actions/checkout@v2",
          "status": "completed",
          "conclusion": "success"
        }
      ]
    }
  ]
}]'
```

## API Schema for Importing CI Build Data

{% openapi src="/files/H2K3YSOSvLkeTJqrV3HE" path="ci\_build/{repoID}/create" method="post" %}
[openapi.json](https://3637178088-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FvMP8keAdyp2axoLILtL5%2Fuploads%2Fgit-blob-d8a87b720df94b60e4756c4b7d2c1bfce151c6a1%2Fopenapi.json?alt=media)
{% endopenapi %}

## Questions?

If you have any questions or run into issues, please contact us at <support@logilica.com>.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.logilica.com/advanced/import/build-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
